---
updatedAt: 2026-05-07T13:26:35.000Z
agentTools:
  siteIndex: https://developers.pismo.io/llms.txt
  projectIndex: https://developers.pismo.io/pismo-docs/llms.txt
---

# Change card mode status

Change card mode status (active or suspended). A card can have both a credit and debit *mode*, meaning it can have both a credit and debit account. Each mode is associated with a credit or debit program and account.

For more information, refer to the [mode documentation](doc:cards-overview-1#create-a-combination-card-with-card-modes) in the Cards overview guide.

**Note:** This endpoint takes an account token - an access token encoded with a Pismo account ID.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Card issuing - Cards",
    "version": "1.4.6",
    "description": "Card endpoints API",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    }
  },
  "servers": [
    {
      "url": "https://sandbox.pismolabs.io",
      "description": "Sandbox API server for testing."
    },
    {
      "url": "https://gw-pci.pismolabs.io",
      "description": "Sandbox PCI API server for testing."
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "Modes",
      "description": "Card mode endpoints"
    }
  ],
  "components": {
    "parameters": {
      "cardId": {
        "in": "path",
        "name": "cardId",
        "schema": {
          "type": "string"
        },
        "description": "Pismo card ID",
        "example": "12345",
        "required": true
      },
      "customerIdHeader": {
        "in": "header",
        "name": "x-customer-id",
        "schema": {
          "type": "integer"
        },
        "required": true,
        "description": "Pismo customer ID",
        "example": 125555
      },
      "modeIdPath": {
        "in": "path",
        "name": "modeId",
        "schema": {
          "type": "string"
        },
        "required": true,
        "description": "Card mode ID. For more information, refer to [Create a combination card with card modes](https://developers.pismo.io/pismo-docs/docs/cards-overview-1#create-a-combination-card-with-card-modes).\n",
        "example": "348909874dfddf"
      }
    },
    "schemas": {
      "UpdateCardModeStatusBody": {
        "type": "object",
        "description": "Update card mode",
        "properties": {
          "status": {
            "type": "string",
            "description": "Status descriptions:\n * `ACTIVE` - Status when card is created\n * `SUSPENDED` - Cannot perform actions like authorization or tokenization flow\n",
            "example": "SUSPENDED",
            "enum": [
              "ACTIVE",
              "SUSPENDED"
            ]
          }
        }
      }
    },
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in an \"Unauthorized\" error.",
        "bearerFormat": "JWT"
      }
    },
    "responses": {
      "401Unauthorized": {
        "description": "Access token is missing or invalid"
      },
      "403Forbidden": {
        "description": "You don't have permission to access this resource"
      },
      "409ConflictCardsPost": {
        "description": "You already have a card with this type and name active"
      },
      "500InternalServer": {
        "description": "Internal server error"
      }
    }
  },
  "paths": {
    "/wallet/v2/cards/{cardId}/modes/{modeId}/status": {
      "put": {
        "operationId": "put-v1-card-mode-status",
        "summary": "Change card mode status",
        "description": "Change card mode status (active or suspended). A card can have both a credit and debit *mode*, meaning it can have both a credit and debit account. Each mode is associated with a credit or debit program and account.\n\nFor more information, refer to the [mode documentation](https://developers.pismo.io/pismo-docs/docs/cards-overview-1#create-a-combination-card-with-card-modes) in the Cards overview guide.\n\n**Note:** This endpoint takes an account token - an access token encoded with a Pismo account ID.\n",
        "tags": [
          "Modes"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/cardId"
          },
          {
            "$ref": "#/components/parameters/modeIdPath"
          },
          {
            "$ref": "#/components/parameters/customerIdHeader"
          }
        ],
        "requestBody": {
          "description": "Change card mode request body",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateCardModeStatusBody"
              }
            }
          }
        },
        "responses": {
          "204": {
            "description": "Status updated"
          },
          "401": {
            "$ref": "#/components/responses/401Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/403Forbidden"
          },
          "409": {
            "$ref": "#/components/responses/409ConflictCardsPost"
          },
          "500": {
            "$ref": "#/components/responses/500InternalServer"
          }
        }
      }
    }
  }
}
```